/* osptrs.h - system specific function pointers */


{   "SYSTEM",   S,  xsystem },

#if !(defined(UNIX)||defined(AMIGA))
{   "GET-KEY",  S,  xgetkey },
#endif

#ifdef GRAPHICS
#ifndef QDOS
{   "CLS",      S,  xcls    },
{   "GOTO-XY",  S,  xgotoxy },
{   "CLEOL",    S,  xcleol  },
{   "MODE",     S,  xmode   },
{   "COLOR",    S,  xcolor  },
{   "MOVE",     S,  xmove   },
{   "DRAW",     S,  xdraw   },
{   "MOVEREL",  S,  xmoverel},
{   "DRAWREL",  S,  xdrawrel},
#endif
#endif


#if 0     /* c68 popen doesn't work yet, maybe with v3 */
{       "POPEN",                        S, Prim_POPEN           },
{       "PCLOSE",                       S, Prim_PCLOSE          },
#endif

#ifdef QDOS         /* added by RZ */
{ "MODE",           S, xmode    },      /* noop */
{ "COLOR",          F, xcolor   },
{ "MOVE",           F, xmove    },
{ "DRAW",           F, xdraw    },
{ "MOVEREL",        F, xmoverel },
{ "DRAWREL",        F, xdrawrel },
{ "PAPER",          F, xpaper   },
{ "CLS",            F, xclear   },
{ "SCROLL",         F, xscroll  },
{ "GOTO-XY",        F, xsetpos  },
{ "SETGPOS",        F, xsetgpos },
{ "WDEF",           F, xwdef    },
{ "SCALE",          F, xscale   },
{ "WMODE",          F, xwmode   },
{ "CIRCLE",         F, xcircle  },
{ "ARC",            F, xarc      },
{ "STACKREPORT",    S, xstackreport},
#endif


